Name:           libguac-client-vnc
Version:        0.6.0
Release:        4%{?dist}
Summary:        VNC support for guacd
Group:          System Environment/Libraries
License:        MPLv1.1 or GPLv2+ or LGPLv2+
URL:            http://guac-dev.org/
Source0:        http://downloads.sourceforge.net/guacamole/%{name}-%{version}.tar.gz

BuildRequires:  cairo-devel%{?_isa}
BuildRequires:  gnutls-devel%{?_isa}
BuildRequires:  libguac-devel%{?_isa} = %{version}
BuildRequires:  libvncserver-devel%{?_isa}

%description
Guacamole is an HTML5 web application that provides access to desktop
environments using remote desktop protocols such as VNC or RDP. A centralized
server acts as a tunnel and proxy, allowing access to multiple desktops through
a web browser. No plugins are needed: the client requires nothing more than a
web browser supporting HTML5 and AJAX.

%{name} is a plugin for guacd which provides support for VNC via the
libvncclient library (part of libvncserver).


%prep
%setup -q


%build
%configure --disable-static --libdir=%{_libdir}/guacamole
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -delete


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS LICENSE README
%{_libdir}/guacamole/%{name}.so
%{_libdir}/guacamole/%{name}.so.*


%changelog
* Tue May 29 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-4
- Moved plugin libraries.

* Mon May 28 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-3
- More explicit files list.

* Mon May 28 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-2
- Sorted and splitted BuildRequires on multiple lines.
- Used common macro styles.
- Shortened delete command in install section.
- Added missing BR.

* Thu May 10 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-1
- First build.
